import type { Keys as IconName } from '@rocket.chat/icons';
import type { View } from '../View';
import type { BannerSurfaceLayout } from './UiKitParserBanner';
/**
 * A view that is displayed as a banner.
 */
export type BannerView = Omit<View, 'blocks'> & {
    viewId: string;
    inline?: boolean;
    variant?: 'neutral' | 'info' | 'success' | 'warning' | 'danger';
    icon?: IconName;
    title?: string;
    blocks: BannerSurfaceLayout;
};
export declare const isBannerView: (input: unknown) => input is BannerView;
//# sourceMappingURL=BannerView.d.ts.map